//
// Created by chenjinyi on 2024/11/1.
//

#ifndef _ASP_LOG_SINK_H
#define _ASP_LOG_SINK_H

#include "AspClientDefine.h"
#include <string>
namespace wuying {
namespace asp {

class ASP_CLIENT_SDK_API AspLogSink {
public:
    static void setLogSink(AspLogSink *sink);
    virtual void debug(const std::string &tag, const std::string &msg) = 0;
    virtual void info(const std::string &tag, const std::string &msg) = 0;
    virtual void warning(const std::string &tag, const std::string &msg) = 0;
    virtual void fatal(const std::string &tag, const std::string &msg) = 0;
    virtual void error(const std::string &tag, const std::string &msg) = 0;
};

}
}

#endif //_ASP_LOG_SINK_H
